Retrieve SpectrumX Partition
Retrieve a specific SpectrumX Partition
Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.
Tenant must own the Partition.
Authentication
AuthorizationBearer
```
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current
```
Path parameters
org
Name of the Org
spectrumXPartitionId
ID of the SpectrumX Partition
Query parameters
includeRelation
Related entity to expand
Allowed values:
Response
OK
id
Unique UUID v4 identifier for the SpectrumX Partition
name
Name of the SpectrumX Partition
siteId
ID of the Site the Partition belongs to
tenantId
ID of the Tenant that owns the Partition
status
Status of the SpectrumX Partition. A Partition becomes Ready once the Site reports it in inventory
description
Description of the SpectrumX Partition
site
Summary of the Site, present when requested through includeRelation
tenant
Summary of the Tenant, present when requested through includeRelation
vni
VXLAN Network Identifier for the Partition. Allocated by the Site when the create request omits it
labels
String key-value pairs describing Partition labels. Up to 10 key-value pairs can be specified
statusHistory
Status detail records for the SpectrumX Partition over time
created
ISO datetime string for when the SpectrumX Partition was created
updated
ISO datetime string for when the SpectrumX Partition was last updated
Errors
403
Forbidden Error
404
Not Found Error